View Issue Details

IDProjectCategoryView StatusLast Update
0002552ScribusGraphics / Image Framespublic2007-01-23 13:03
Reportercckborg Assigned Toavox  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformiMac G4 1GHz 17"OSMac OS XOS Version10.4.2
Product Version1.3.1cvs 
Target VersionFixed in Version1.3.3.8cvs 
Summary0002552: TIFF image does not display on page and prints bright green
DescriptionThe attached TIFF images are not behaving correctly in Scribus.

2006 Show Logo 2.tif does not display on the screen when inserted into a picture frame. View -> Show Images and (Image Frame, Right Click)-> Image Visible are both selected. Also, in Print Preview and when generating a PDF, the image turns bright green.

2006 Show Logo 2 BW.tif (black & white version) behaves the same way.

KagyKornerStore.tif displays on the screen in green and is also green in Print Preview and PDF.

Green Image.pdf shows the exported PDF, default settings, generated by Scribus.
(Printing directly to printer caused a PostScript error.)
Steps To ReproduceCreate an image frame, "Get Image," and you should see the problem.
Additional Information2006 Show Logo 2*.tif: The graphic portion of the image was scanned in using a Brother DCP-8025D Copier/Printer/Scanner using Brother's Control Center 2.0.6 as B&W, 600 dpi TIFF. It was opened in gimp 2.0.6, converted to .xcf and copied into a new grayscale canvas and the text was added. This was then exported as a TIFF, no compression. After converting the TIFF to a GIF the problem went away.

KagyKornerStore.tif: Scanned in, either with the same Brother scanner under 10.2 or with an Epson scanner under Mac OS 8.6. (Too long ago to remember.) Further processed with the GIMP 1. Worked fine last fall in Scribus.

I'm a little rusty on tar/gzip, so if there is a problem with the attached files, please let me know.
TagsNo tags attached.
Patch

Relationships

related to 0002064 assignedfschmid Importing of cmyk tiffs with 16bit depth does not work 
child of 0002015 closedavox This issue lists all known regressions of the Aqua port compared with the 13 Linux version 

Activities

2005-09-12 15:15

 

greenimage.tgz (328,654 bytes)

plinnell

2005-09-12 17:23

viewer   ~0006527

seems some kind of endian issue. If i open that doc and those images, they export perfectly as greyscale, cmyk or rgb

im not sure if your version enables grayscale PDF export or not. it was added after the 1.3.0 release i think.

avox

2005-09-12 19:50

administrator   ~0006530

Also works fine in Scribus/Aqua from August 25.

As a workaround use Imagemagick (or other app) to convert to PNG.

plinnell

2005-09-12 20:36

viewer   ~0006531

assigning to Andreas, pending merging his scimage patch.

Note to Carol, we have the fix, but this affects a very complex part of scribus which needs lots of testing before it gets merged into main scribus sources. We plan to resume testing soon.

plinnell

2007-01-23 13:01

viewer   ~0014962

tested, fixed

Issue History

Date Modified Username Field Change
2005-09-12 15:15 cckborg New Issue
2005-09-12 15:15 cckborg File Added: greenimage.tgz
2005-09-12 17:23 plinnell Note Added: 0006527
2005-09-12 17:23 plinnell Status new => acknowledged
2005-09-12 19:50 avox Note Added: 0006530
2005-09-12 20:36 plinnell Note Added: 0006531
2005-09-12 20:36 plinnell Assigned To => avox
2005-09-12 20:36 plinnell Product Version 1.3.0 => 1.3.1cvs
2005-09-12 20:43 plinnell Status acknowledged => assigned
2005-10-01 10:43 avox Relationship added child of 0002015
2005-10-01 11:16 avox Relationship added related to 0002064
2007-01-12 18:39 avox Status assigned => resolved
2007-01-12 18:39 avox Fixed in Version => 1.3.3.8cvs
2007-01-12 18:39 avox Resolution open => fixed
2007-01-23 13:01 plinnell Status resolved => closed
2007-01-23 13:01 plinnell Note Added: 0014962
2015-09-17 20:10 Kunda Category Graphics / Image Frames => Graphics/Img Frames
2015-09-17 20:11 Kunda Category Graphics/Img Frames => Graphics / Image Frames